## pg8000 1.10.6

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pg8000.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pg8000.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pg8000"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pg8000"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## pg8000 1.10.2

=== debian/changelog ===
pg8000 (1.10.2-1) unstable; urgency=low

  * Initial package import (Closes: #801859)
  * Fix for unicode objects added as a patch

 -- Rahul Amaram <amaramrahul@users.sourceforge.net>  Mon, 25 Jan 2016 04:23:38 +0530

=== debian/control ===
Source: pg8000
Section: python
Priority: optional
Maintainer: Rahul Amaram <amaramrahul@users.sourceforge.net>
Build-Depends: debhelper (>= 9), python, dh-python, python-setuptools
Standards-Version: 3.9.6
Homepage: https://github.com/mfenniak/pg8000
Vcs-Git: https://anonscm.debian.org/git/calendarserver/pg8000.git
Vcs-Browser: https://anonscm.debian.org/cgit/calendarserver/pg8000.git

Package: python-pg8000
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-six
Description: Pure-Python PostgreSQL Driver
 pg8000 is a Pure-Python interface to the PostgreSQL database engine.  It is
 one of many PostgreSQL interfaces for the Python programming language. pg8000
 is somewhat distinctive in that it is written entirely in Python and does not
 rely on any external libraries (such as a compiled Python module, or
 PostgreSQL's libpq library). pg8000 supports the standard Python DB-API
 version 2.0.
 .
 pg8000's name comes from the belief that it is probably about the 8000th
 PostgreSQL interface for Python.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pg8000/pg8000-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pg8000 1.10.6

=== debian/changelog ===
pg8000 (1.10.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937276

 -- Sandro Tosi <morph@debian.org>  Fri, 13 Dec 2019 11:23:54 -0500

pg8000 (1.10.6-1) unstable; urgency=medium

  * New upstream version.
  * Enable build for Python 3. (Closes: #838589)
    + Use pybuild build system.
  * Update packaging.
    + Raise compat level to 10.
    + Bump Standards-Version (no changes needed).
  * Move to team maintenance under DPMT.
  * Add myself to Uploaders.
  * Enable sphinxdoc and build -doc package.

 -- Dominik George <nik@naturalnet.de>  Thu, 13 Oct 2016 11:15:09 +0200

=== debian/control ===
Source: pg8000
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Dominik George <nik@naturalnet.de>,
 Rahul Amaram <amaramrahul@users.sourceforge.net>,
Build-Depends:
 debhelper-compat (= 10),
 dh-exec,
 dh-python,
 python3-all,
 python3-setuptools,
 python3-six,
 python3-sphinx,
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/mfenniak/pg8000
Vcs-Git: https://salsa.debian.org/python-team/modules/pg8000.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pg8000

Package: python3-pg8000
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pg8000-doc,
Description: Pure-Python PostgreSQL Driver (Python 3)
 pg8000 is a Pure-Python interface to the PostgreSQL database engine.  It is
 one of many PostgreSQL interfaces for the Python programming language. pg8000
 is somewhat distinctive in that it is written entirely in Python and does not
 rely on any external libraries (such as a compiled Python module, or
 PostgreSQL's libpq library). pg8000 supports the standard Python DB-API
 version 2.0.
 .
 pg8000's name comes from the belief that it is probably about the 8000th
 PostgreSQL interface for Python.
 .
 This package contains the Python 3 version.

Package: python-pg8000-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Pure-Python PostgreSQL Driver (documentation)
 pg8000 is a Pure-Python interface to the PostgreSQL database engine.  It is
 one of many PostgreSQL interfaces for the Python programming language. pg8000
 is somewhat distinctive in that it is written entirely in Python and does not
 rely on any external libraries (such as a compiled Python module, or
 PostgreSQL's libpq library). pg8000 supports the standard Python DB-API
 version 2.0.
 .
 pg8000's name comes from the belief that it is probably about the 8000th
 PostgreSQL interface for Python.
 .
 This package contains the documentation for the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pg8000

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_installdocs:
	python3 setup.py build_sphinx
	dh_installdocs

=== debian/watch ===
# please also check https://pypi.debian.net/pg8000/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pg8000/pg8000-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pg8000 1.23.0

=== debian/changelog ===
pg8000 (1.23.0-0ubuntu1) jammy; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/0001-Don-t-try-to-encode-non-text.patch: Dropped. No longer needed.
  * d/python3-pg8000.install, d/python-pg8000-doc.*: The docs directory
    has been consolidated to README.adoc.
  * d/rules: Don't run tests during build. The tests didn't run in
    the past and require a running PostgreSQL database.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Dec 2021 11:44:13 -0500

pg8000 (1.10.6-2build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:52:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pg8000
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Dominik George <nik@naturalnet.de>,
  Rahul Amaram <amaramrahul@users.sourceforge.net>,
@@ -11,17 +12,19 @@
  dh-python,
  python3-all,
  python3-setuptools,
- python3-six,
- python3-sphinx,
+Build-Depends-Indep:
+ python3-pytest,
+ python3-scramp,
 Standards-Version: 3.9.8
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/mfenniak/pg8000
-Vcs-Git: https://salsa.debian.org/python-team/modules/pg8000.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pg8000
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/pg8000
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/pg8000
 
 Package: python3-pg8000
 Architecture: all
 Depends:
+ python3-scramp,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:
@@ -44,7 +47,6 @@
 Section: doc
 Depends:
  ${misc:Depends},
- ${sphinxdoc:Depends},
 Description: Pure-Python PostgreSQL Driver (documentation)
  pg8000 is a Pure-Python interface to the PostgreSQL database engine.  It is
  one of many PostgreSQL interfaces for the Python programming language. pg8000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pg8000

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# The tests provided for pg8000 are functional tests
	# that require a running PostgreSQL database.
	echo "Do nothing..."

## pg8000 1.30.3

=== debian/changelog ===
pg8000 (1.30.3-2) unstable; urgency=medium

  * Team upload.
  * Tests: make deprecation warnings non-fatal in the doctest. (Closes:
    #1059659)

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 30 Dec 2023 11:29:37 +0000

pg8000 (1.30.3-1) unstable; urgency=medium

  * New upstream version (Closes: #910580, #986223)
  * Replace -doc package with transitional package, upstream moved all
    docs to README (Closes: #1042591, #858485)
  * Update packaging.
    + Bump Standards-Version (no changes needed).
    + Update watch file to new version.
    + Add upstream contact to d/copyright.
    + Update renamed lintian tag name in lintian overrides.
    + Add "Rules-Requires-Root: no".
  * Execute tests as autopkgtests.
  * Add patches to fix upstream testsuite for postgresql-16.

 -- Alexander Sulfrian <asulfrian@zedat.fu-berlin.de>  Sun, 19 Nov 2023 09:02:22 +0000

pg8000 (1.10.6-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-pg8000-doc: Add Multi-Arch: foreign.
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Wed, 04 May 2022 17:47:06 -0400

=== debian/control ===
Source: pg8000
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Dominik George <nik@naturalnet.de>,
 Rahul Amaram <amaramrahul@users.sourceforge.net>,
 Alexander Sulfrian <asulfrian@zedat.fu-berlin.de>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 pybuild-plugin-pyproject,
 python3-all,
 python3-dateutil,
 python3-scramp,
 python3-setuptools (>= 68.1),
Standards-Version: 4.6.2
Homepage: https://github.com/tlocke/pg8000
Vcs-Git: https://salsa.debian.org/python-team/packages/pg8000.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pg8000
Rules-Requires-Root: no

Package: python3-pg8000
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Pure-Python PostgreSQL Driver (Python 3)
 pg8000 is a Pure-Python interface to the PostgreSQL database engine.  It is
 one of many PostgreSQL interfaces for the Python programming language. pg8000
 is somewhat distinctive in that it is written entirely in Python and does not
 rely on any external libraries (such as a compiled Python module, or
 PostgreSQL's libpq library). pg8000 supports the standard Python DB-API
 version 2.0.
 .
 pg8000's name comes from the belief that it is probably about the 8000th
 PostgreSQL interface for Python.
 .
 This package contains the Python 3 version.

Package: python-pg8000-doc
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.

## pg8000 1.31.2

=== debian/changelog ===
pg8000 (1.31.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.31.2.
  * Patch tests to accept "17rc1" as valid server version.
  * Add new B-D python3-hatchling.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Sep 2024 10:39:27 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-dateutil,
+ python3-hatchling,
  python3-scramp,
  python3-setuptools (>= 68.1),
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=pg8000

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	rm -f VERSION
	dh_auto_clean

override_dh_auto_build:
	echo "$(DEB_VERSION_UPSTREAM)" > VERSION
	dh_auto_build

override_dh_auto_test:
	# Tests require a running postgresql server with a specific config

## pg8000 1.31.4

=== debian/changelog ===
pg8000 (1.31.4-1) unstable; urgency=medium

  * New upstream version.
    + Bump Standards-Version (no changes needed).
    + Refresh patches.
    + Drop "0004-rc-version.patch", patch applied upstream.
  * Email change: Alexander Sulfrian -> alexander@sulfrian.net

 -- Alexander Sulfrian <alexander@sulfrian.net>  Sat, 02 Aug 2025 15:58:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders:
  Dominik George <nik@naturalnet.de>,
  Rahul Amaram <amaramrahul@users.sourceforge.net>,
- Alexander Sulfrian <asulfrian@zedat.fu-berlin.de>,
+ Alexander Sulfrian <alexander@sulfrian.net>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-dateutil,
  python3-hatchling,
  python3-scramp,
  python3-setuptools (>= 68.1),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/tlocke/pg8000
 Vcs-Git: https://salsa.debian.org/python-team/packages/pg8000.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pg8000

## pg8000 1.31.5

=== debian/changelog ===
pg8000 (1.31.5-1) unstable; urgency=medium

  * New upstream version.
  * Update upstream metadata, repository moved to codeberg.org
  * Remove transitional python-pg8000-doc package
  * Add lintian overrides for long lines in documentation

 -- Alexander Sulfrian <alexander@sulfrian.net>  Thu, 18 Sep 2025 15:24:07 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-scramp,
  python3-setuptools (>= 68.1),
 Standards-Version: 4.7.2
-Homepage: https://github.com/tlocke/pg8000
+Homepage: https://codeberg.org/tlocke/pg8000
 Vcs-Git: https://salsa.debian.org/python-team/packages/pg8000.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pg8000
 Rules-Requires-Root: no
@@ -36,10 +36,3 @@
  PostgreSQL interface for Python.
  .
  This package contains the Python 3 version.
-
-Package: python-pg8000-doc
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends}
-Description: transitional package
- This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=pg8000

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_clean:
	rm -f VERSION

execute_before_dh_auto_build:
	echo "$(DEB_VERSION_UPSTREAM)" > VERSION

override_dh_auto_test:
	# Tests require a running postgresql server with a specific config

=== debian/tests/control ===
Tests: doctest, pytest
Depends:
 postgresql,
 python3-all,
 python3-pg8000,
 python3-pytest,
 python3-pytest-benchmark,
 python3-pytest-mock,
 python3-tz,
Restrictions: allow-stderr, needs-sudo

=== debian/watch ===
# please also check https://pypi.debian.net/pg8000/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pg8000/pg8000-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
